Subject: bug#20725: Shuf problem

From: Pádraig Brady <[email-masked]>
Date: Wed, 03 Jun 2015 14:33:35 +0100

On 03/06/15 14:20, Federico Alves wrote:
> I think that shuf should have an option, may set ON by default, to avoid empty lines in a file when shuffling it. if a file has 100 lines and ten are simply returns, 99% of the time I do not want an empty line, I want only the real lines.

We would only consider that if it provided functional benefits
or large performance gains.  Neither would be the case here I think
compared to some simple preprocessing like:

 sed '/^$/d' | shuf

cheers,
Pádraig